Tra cứu API
Đối thủ đang theo dõi
competitor_list — Competitor accounts the workspace watches: handle, status, reads per day, reader account, latest followers and posts summary.
competitor_list · Đọc dữ liệu đã lưu
Mô tả kỹ thuật bằng tiếng Anh — đúng chữ AI agent đọc qua MCP.
Competitor accounts the workspace watches: handle, status, reads per day, reader account, latest followers and posts summary.
| REST | GET /api/public/v1/competitors |
| Công cụ MCP | competitor_list |
| Quyền cần có | view — Chủ, Quản lý, Vận hành, Chỉ xem |
| Nhóm quyền | reports:read |
| Nhóm | Tăng trưởng |
| Hiện sẵn trong hồ sơ | Báo cáo |
Đầu vào
Không có đầu vào.
Kết quả
Trả về trong phong bì { data, meta }, không tạo việc trên X. Danh sách có next_cursor và has_more.
Ví dụ
Gọi qua REST
curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/competitors" \
-H "Authorization: Bearer $XBUDDY_API_KEY"
Gọi qua MCP
{
"method": "tools/call",
"params": {
"name": "competitor_list",
"arguments": {}
}
}
Lỗi có thể gặp
| Mã | HTTP | Thử lại được |
|---|---|---|
unauthorized |
401 | Không |
key_expired |
401 | Không |
integration_revoked |
401 | Không |
connection_not_linked |
403 | Không |
integration_paused |
403 | Không |
workspace_integrations_paused |
403 | Không |
integration_authorization_lost |
403 | Không |
workspace_suspended |
403 | Không |
forbidden |
403 | Không |
invalid_input |
422 | Không |
rate_limited |
429 | Có |
internal |
500 | Có |